%define name	endeavour
%define version	2.3.3
%define release	1mdk

Name:		%{name}
Version:	%{version}
Release:	%{release}
Summary:	Graphical file manager
Group:		Graphical desktop/Other
License:	GPL
URL: 		http://wolfpack.twu.net/Endeavour2
Source0: 	%{name}-%version.tar.bz2
Source1:        %{name}-16.png.bz2
Source2:        %{name}-32.png.bz2
Source3:        %{name}-48.png.bz2
Patch:		%{name}-2.3.3-fix-multi_line_compile.patch.bz2
BuildRequires:	XFree86-devel
BuildRequires:	gtk+-devel
BuildRequires:	imlib-devel
BuildRoot:	%_tmppath/%{name}-buildroot

%description
Endeavour Mark II is a file browser with management support for all
types of disk objects.
It is a complete rewrite from the original Endeavour, many features from the
existing version have been reworked and lots of new features have been added.
New features include:
-Interapplication drag and drop
-Recycled objects caching system
-Device mounting and statistic charting
-Integrated MIME Types system.

%prep
%setup -q
%patch
bzcat %{SOURCE1} > %{name}-16.png
bzcat %{SOURCE2} > %{name}-32.png
bzcat %{SOURCE3} > %{name}-48.png

%build
export CFLAGS="%optflags"
./configure Linux -v --disable=arch-i686
make all

%install
rm -rf $RPM_BUILD_ROOT
make PREFIX=$RPM_BUILD_ROOT%_prefix MAN_DIR=$RPM_BUILD_ROOT%{_mandir}/man1 install
install -D -m 644 %{name}-16.png $RPM_BUILD_ROOT%{_miconsdir}/%{name}.png
install -D -m 644 %{name}-32.png $RPM_BUILD_ROOT%{_iconsdir}/%{name}.png 
install -D -m 644 %{name}-48.png $RPM_BUILD_ROOT%{_liconsdir}/%{name}.png 

# menu entry
mkdir -p $RPM_BUILD_ROOT%{_menudir}
cat >$RPM_BUILD_ROOT%{_menudir}/%{name} <<EOF
?package(%{name}):\\
	command="%{_bindir}/endeavour2"\\
	needs="x11"\\
	icon="%{name}.png"\\
	section="Applications/File tools"\\
	title="Endeavour" \
	longtitle="File browser with management support for all types of disk objects"
EOF

%post
%update_menus

%postun
%clean_menus

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
%doc AUTHORS INSTALL README
%{_bindir}/endeavour2*
%{_libdir}/%{name}2/
%{_mandir}/man1/endeavour2.1*
%{_datadir}/endeavour2
%{_menudir}/%{name}
%{_iconsdir}/%{name}.png
%{_miconsdir}/%{name}.png
%{_liconsdir}/%{name}.png
%{_iconsdir}/%{name}2*

%changelog
* Sun Sep 14 2003 Guillaume Rousse <guillomovitch@linux-mandrake.com> 2.3.3-1mdk
- 2.3.3
- drop previous multiline patch (merged upstream)
- new multiline patch
- rm -rf $RPM_BUILD_ROOT in %%install
- spec cleanup

* Thu Jul 31 2003 Michael Scherer <scherer.michael@free.fr> 2.3.2-2mdk
- fix compilation 

* Thu May 01 2003 Guillaume Rousse <g.rousse@linux-mandrake.com> 2.3.2-1mdk
- 2.3.2

* Mon Mar 24 2003 Lenny Cartier <lenny@mandrakesoft.com> 2.3.0-1mdk
- 2.3.0

* Mon Nov 04 2002 Lenny Cartier <lenny@mandrakesoft.com> 2.1.20-1mdk
- from Quel Qun <kelk1@sbcglobal.net> :
	- Disabled utility moves since their path is hard coded inside the main app.
	- 2.1.20
	- Added options -geometry -fn -fg -bg -sfg -sbg -title see man
	  endeavour2 for more details.
	- Added download object button in the toolbars, see
	  Settings->Customize->File Browser->Toolbar.
	- Added hedit, a hex editor.  It is installed in
	  /usr/lib/endeavour2/bin/hedit
	- Fixed segfault caused by inconsistent defination of gbool
	- Download front end can now be runned as a stand-alone.
                
* Thu Aug 29 2002 Guillaume Rousse <g.rousse@linux-mandrake.com> 2.1.18-1mdk
- 2.1.18

* Mon Aug 05 2002 Guillaume Rousse <g.rousse@linux-mandrake.com> 2.1.16-1mdk
- 2.1.16

* Thu Jul 11 2002 Lenny Cartier <lenny@mandrakesoft.com> 2.1.15-1mdk
- 2.1.15

* Mon May 13 2002 Lenny Cartier <lenny@mandrakesoft.com> 2.1.14-1mdk
- 2.1.14

* Mon Apr 01 2002 Guillaume Rousse <g.rousse@linux-mandrake.com> 2.1.13-1mdk
- 2.1.13

* Tue Mar 12 2002 Guillaume Rousse <g.rousse@linux-mandrake.com> 2.1.11-1mdk
- 2.1.11

* Mon Feb 18 2002 Guillaume Rousse <g.rousse@linux-mandrake.com> 2.1.9-1mdk
- 2.1.9
- patch merged upstream

* Thu Feb 07 2002 Guillaume Rousse <g.rousse@linux-mandrake.com> 2.1.7-1mdk
- 2.17

* Fri Jan 25 2002 Guillaume Rousse <g.rousse@linux-mandrake.com> 2.1.5-2mdk
- used png instead of xpm for menu icons

* Thu Jan 24 2002 Guillaume Rousse <g.rousse@linux-mandrake.com> 2.1.5-1mdk
- 2.1.5

* Sun Jan 06 2002 Guillaume Rousse <g.rousse@linux-mandrake.com> 2.0.0-4mdk
- back to standard /usr location

* Fri Jan 04 2002 Guillaume Rousse <g.rousse@linux-mandrake.com> 2.0.0-3mdk
- better description

* Tue Jan 01 2002 Guillaume Rousse <rousse@ccr.jussieu.fr> 2.0.0-2mdk 
- mandrake optimisation
- first Mandrake release
- spec cleanup
- corrected menu

* Tue Jan  1 2002 Han Boetes <han@mijncomputer.nl> 2.0.0-1mdk
- Initial build
